diff --git a/src/backend/port/unix_latch.c b/src/backend/port/unix_latch.c
index 90ec4f8..fcb371f 100644
--- a/src/backend/port/unix_latch.c
+++ b/src/backend/port/unix_latch.c
@@ -522,7 +522,7 @@ SetLatch(volatile Latch *latch)
 	pid_t		owner_pid;
 
 	/*
-	 * The memory barrier has be to be placed here to ensure that any flag
+	 * The memory barrier has to be placed here to ensure that any flag
 	 * variables possibly changed by this process have been flushed to main
 	 * memory, before we check/set is_set.
 	 */
diff --git a/src/backend/port/win32_latch.c b/src/backend/port/win32_latch.c
index 0e3aaee..e3f21a5 100644
--- a/src/backend/port/win32_latch.c
+++ b/src/backend/port/win32_latch.c
@@ -298,7 +298,7 @@ SetLatch(volatile Latch *latch)
 	HANDLE		handle;
 
 	/*
-	 * The memory barrier has be to be placed here to ensure that any flag
+	 * The memory barrier has to be placed here to ensure that any flag
 	 * variables possibly changed by this process have been flushed to main
 	 * memory, before we check/set is_set.
 	 */
